## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel
Interface SybaseASECatalog

All Superinterfaces:
  Catalog, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject

All Known Implementing Classes:
  SybaseASECatalog, SybaseASECatalogImpl

    public interface SybaseASECatalog

extends Catalog, SQLObject

A representation of the model object 'Sybase ASE Catalog'.

The following features are supported:

- `Segments`
- `Data Devices`
- `Log Devices`
- `Override`
- `Default Location`
- `For Load`
- `For Proxy Update`
- `Log IO Size`
- `Recovery Order`
- `Authorization Ids`
- `Cache`
- `Catalog Type`

See Also:
  `SybaseasesqlmodelPackage.getSybaseASECatalog()`

Method Summary
`org.eclipse.emf.common.util.EList` `getAuthorizationIds()` Returns the value of the 'Authorization Ids' reference list.
`SybaseASECache` `getCache()` Returns the value of the 'Cache' reference.
`SybaseASECatalogType` `getCatalogType()` Returns the value of the 'Catalog Type' attribute.
`org.eclipse.emf.common.util.EList` `getDataDevices()` Returns the value of the 'Data Devices' reference list.
`java.lang.String` `getDefaultLocation()` Returns the value of the 'Default Location' attribute.
`org.eclipse.emf.common.util.EList` `getLogDevices()` Returns the value of the 'Log Devices' reference list.
`int` `getLogIOSize()` Returns the value of the 'Log IO Size' attribute.
`int` `getRecoveryOrder()` Returns the value of the 'Recovery Order' attribute.
`org.eclipse.emf.common.util.EList` `getSegments()` Returns the value of the 'Segments' containment reference list.
`boolean` `isForLoad()` Returns the value of the 'For Load' attribute.
`boolean` `isForProxyUpdate()` Returns the value of the 'For Proxy Update' attribute.
`boolean` `isOverride()` Returns the value of the 'Override' attribute.
`void` `setCache(SybaseASECache value)` Sets the value of the '`Cache`' reference.
`void` `setCatalogType(SybaseASECatalogType value)` Sets the value of the '`Catalog Type`' attribute.
`void` `setDefaultLocation(java.lang.String value)` Sets the value of the '`Default Location`' attribute.
`void` `setForLoad(boolean value)` Sets the value of the '`For Load`' attribute.
`void` `setForProxyUpdate(boolean value)` Sets the value of the '`For Proxy Update`' attribute.
`void` `setLogIOSize(int value)` Sets the value of the '`Log IO Size`' attribute.
`void` `setOverride(boolean value)` Sets the value of the '`Override`' attribute.
`void` `setRecoveryOrder(int value)` Sets the value of the '`Recovery Order`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.Catalog
`getDatabase, getSchemas, setDatabase`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSegments

    org.eclipse.emf.common.util.EList getSegments()

  Returns the value of the 'Segments' containment reference list. The list contents are of type `SybaseASESegment`. It is bidirectional and its opposite is '`Catalog`'.

  If the meaning of the 'Segments' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Segments' containment reference list.
  See Also:
    `SybaseasesqlmodelPackage.getSybaseASECatalog_Segments()`, `SybaseASESegment.getCatalog()`

### getDataDevices

    org.eclipse.emf.common.util.EList getDataDevices()

  Returns the value of the 'Data Devices' reference list. The list contents are of type `DeviceItem`.

  If the meaning of the 'Data Devices' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Data Devices' reference list.
  See Also:
    `SybaseasesqlmodelPackage.getSybaseASECatalog_DataDevices()`

### getLogDevices

    org.eclipse.emf.common.util.EList getLogDevices()

  Returns the value of the 'Log Devices' reference list. The list contents are of type `DeviceItem`.

  If the meaning of the 'Log Devices' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Log Devices' reference list.
  See Also:
    `SybaseasesqlmodelPackage.getSybaseASECatalog_LogDevices()`

### isOverride

    boolean isOverride()

  Returns the value of the 'Override' attribute.

  If the meaning of the 'Override' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Override' attribute.
  See Also:
    `setOverride(boolean)`, `SybaseasesqlmodelPackage.getSybaseASECatalog_Override()`

### setOverride

    void setOverride(boolean value)

  Sets the value of the '`Override`' attribute.

  Parameters:
    `value` - the new value of the 'Override' attribute.
  See Also:
    `isOverride()`

### getDefaultLocation

    java.lang.String getDefaultLocation()

  Returns the value of the 'Default Location' attribute.

  If the meaning of the 'Default Location' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Default Location' attribute.
  See Also:
    `setDefaultLocation(String)`, `SybaseasesqlmodelPackage.getSybaseASECatalog_DefaultLocation()`

### setDefaultLocation

    void setDefaultLocation(java.lang.String value)

  Sets the value of the '`Default Location`' attribute.

  Parameters:
    `value` - the new value of the 'Default Location' attribute.
  See Also:
    `getDefaultLocation()`

### isForLoad

    boolean isForLoad()

  Returns the value of the 'For Load' attribute.

  If the meaning of the 'For Load' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'For Load' attribute.
  See Also:
    `setForLoad(boolean)`, `SybaseasesqlmodelPackage.getSybaseASECatalog_ForLoad()`

### setForLoad

    void setForLoad(boolean value)

  Sets the value of the '`For Load`' attribute.

  Parameters:
    `value` - the new value of the 'For Load' attribute.
  See Also:
    `isForLoad()`

### isForProxyUpdate

    boolean isForProxyUpdate()

  Returns the value of the 'For Proxy Update' attribute.

  If the meaning of the 'For Proxy Update' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'For Proxy Update' attribute.
  See Also:
    `setForProxyUpdate(boolean)`, `SybaseasesqlmodelPackage.getSybaseASECatalog_ForProxyUpdate()`

### setForProxyUpdate

    void setForProxyUpdate(boolean value)

  Sets the value of the '`For Proxy Update`' attribute.

  Parameters:
    `value` - the new value of the 'For Proxy Update' attribute.
  See Also:
    `isForProxyUpdate()`

### getCache

    SybaseASECache getCache()

  Returns the value of the 'Cache' reference.

  If the meaning of the 'Cache' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Cache' reference.
  See Also:
    `setCache(SybaseASECache)`, `SybaseasesqlmodelPackage.getSybaseASECatalog_Cache()`

### setCache

    void setCache(SybaseASECache value)

  Sets the value of the '`Cache`' reference.

  Parameters:
    `value` - the new value of the 'Cache' reference.
  See Also:
    `getCache()`

### getCatalogType

    SybaseASECatalogType getCatalogType()

  Returns the value of the 'Catalog Type' attribute. The literals are from the enumeration `SybaseASECatalogType`.

  If the meaning of the 'Catalog Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Catalog Type' attribute.
  See Also:
    `SybaseASECatalogType`, `setCatalogType(SybaseASECatalogType)`, `SybaseasesqlmodelPackage.getSybaseASECatalog_CatalogType()`

### setCatalogType

    void setCatalogType(SybaseASECatalogType value)

  Sets the value of the '`Catalog Type`' attribute.

  Parameters:
    `value` - the new value of the 'Catalog Type' attribute.
  See Also:
    `SybaseASECatalogType`, `getCatalogType()`

### getLogIOSize

    int getLogIOSize()

  Returns the value of the 'Log IO Size' attribute.

  If the meaning of the 'Log IO Size' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Log IO Size' attribute.
  See Also:
    `setLogIOSize(int)`, `SybaseasesqlmodelPackage.getSybaseASECatalog_LogIOSize()`

### setLogIOSize

    void setLogIOSize(int value)

  Sets the value of the '`Log IO Size`' attribute.

  Parameters:
    `value` - the new value of the 'Log IO Size' attribute.
  See Also:
    `getLogIOSize()`

### getRecoveryOrder

    int getRecoveryOrder()

  Returns the value of the 'Recovery Order' attribute.

  If the meaning of the 'Recovery Order' attribute isn't clear, there really should be more of a description here...

  0 as default value

  Returns:
    the value of the 'Recovery Order' attribute.
  See Also:
    `setRecoveryOrder(int)`, `SybaseasesqlmodelPackage.getSybaseASECatalog_RecoveryOrder()`

### setRecoveryOrder

    void setRecoveryOrder(int value)

  Sets the value of the '`Recovery Order`' attribute.

  Parameters:
    `value` - the new value of the 'Recovery Order' attribute.
  See Also:
    `getRecoveryOrder()`

### getAuthorizationIds

    org.eclipse.emf.common.util.EList getAuthorizationIds()

  Returns the value of the 'Authorization Ids' reference list. The list contents are of type `AuthorizationIdentifier`.

  If the meaning of the 'Authorization Ids' reference list isn't clear, there really should be more of a description here...

  List of users and groups

  Returns:
    the value of the 'Authorization Ids' reference list.
  See Also:
    `SybaseasesqlmodelPackage.getSybaseASECatalog_AuthorizationIds()`